Subject: bug#78537: GIMP startup crash on minimal xorg/wm unless gtk+ in profile

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 03 Jun 2025 19:54:53 +0900

Hi,

Runciter via Bug reports for GNU Guix <[email-masked]> writes:

> Hello Guix,
>
> I've noticed that the new Gimp version 3.0.0 crashed on startup for me.
> The error message is:
>
> (gimp:5025): GLib-GIO-ERROR **: 22:39:28.588: Settings schema
> 'org.gtk.Settings.FileChooser' is not installed
> /gnu/store/vk8xddd7cr2dcsqjwvvyrhidg1brdsaq-gimp-3.0.0/lib/gimp/3.0/plug-ins/script-fu/script-fu:
> fatal error: GIMP crashed
> Trace/breakpoint trap

[...]

> Still, it occurs to me that gtk+ should probably be a propagated
> input of gimp-3. Some Package(s) which probably have a similar run-time
> dependency situation seem to proceed like this; such as zathura having a
> propagated input to girara having a propagated input to gtk+.
>
> I'm going to submit a patch, in case it is helpful.

Wrapping the gimp binary should be preferred.  I think it already is but
maybe something is missing?

-- 
Thanks,
Maxim